/**
* @author Dirk Nordmann
* @date   14.01.2002
*/
package xml2rtf.rtf;

public class RtfGeneratorContext
{

    public RtfGeneratorContext()
    {
        list_type = LIST_NO;
        current_tag = -1;
        tag_str = "";
        font_size = 3;
        isBold = false;
        isItalic = false;
        isFixedFont = false;
        discard_text = false;
        alignment = ALIGN_LEFT;
    }

    public RtfGeneratorContext(RtfGeneratorContext rtfgeneratorcontext)
    {
        list_offset = rtfgeneratorcontext.list_offset;
        list_number = rtfgeneratorcontext.list_number;
        list_type = rtfgeneratorcontext.list_type;
        current_tag = rtfgeneratorcontext.current_tag;
        tag_str = rtfgeneratorcontext.tag_str;
        font_size = rtfgeneratorcontext.font_size;
        isBold = rtfgeneratorcontext.isBold;
        isItalic = rtfgeneratorcontext.isItalic;
        isFixedFont = rtfgeneratorcontext.isFixedFont;
        discard_text = rtfgeneratorcontext.discard_text;
        alignment = rtfgeneratorcontext.alignment;
    }

    static final int LIST_NO = 0;
    static final int LIST_OL = 1;
    static final int LIST_UL = 2;
    static final int LIST_DL = 3;
    static final int ALIGN_LEFT = 0;
    static final int ALIGN_RIGHT = 1;
    static final int ALIGN_CENTER = 2;
    public int list_offset;
    public int list_number;
    public int list_type;
    public int current_tag;
    public String tag_str;
    public int font_size;
    public boolean isBold;
    public boolean isItalic;
    public boolean isFixedFont;
    public boolean discard_text;
    public int alignment;
}
